Subject: Domain Transfer Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 11 May 2000 02:13:00 -0700 (PDT)

Mark:
Enclosed is a revised draft of the Domain Transfer Agreement with my comments 
and questions inserted.  Please call when convenient to discuss.  Have you 
heard from Mark Palmer yet?  Alos, Mark Haedicke asked me to let John 
Lavorato know that we were entering into this Agreement and I will leave him 
with a voice mail today.
Carol

Michael:
Do you have any comments?  Also, are you okay with NY law and should we add 
an arbitration provision?